ERROR = "error"
VALID_TYPE_IS_REQUIRED = "A valid type is required for {}."
VALID_INTEGER_IS_REQUIRED = "A valid integer is required for {}."
PUBLIC_ID_LENGTH_VALIDATION = 19
PUBLIC_ID_BEYOND_THE_ALLOWED_LIMIT = "Public_id of {} is beyond the allowed limit."
PUBLIC_ID_CANNOT_BE_ZERO = "Public_id of {} cannot be zero."
TOTAL_RECORDS = "total_records"
DONE = "done"
LIFTING_COUNT_NOT_VALID = "Lifting Count cannot be more than birds count."
RESULT = "result"
RECORD_NOT_FOUND = "Record not found."
PERMISSION_NOT_ALLOWED = "No permission granted."
CONTENT_DOES_NOT_EXIST = "Content does not exist."
MESSAGE = "message"
CONTENT_UPDATE_MESSAGE = "Content updated successfully."
CUSTOMER_SIGN_UP_UNIQUE_EMAIL_ID_REQUIRED = "Email is already exist."
APP_RESULT = "results"
INVALID_CREDENTIALS = "You have entered wrong credential."
LOGOUT_SUCCESSFUL = "Logout Successfully."
ALREADY_REGISTERED = "Email is already registered."
PUBLIC_ID = "public_id"
CONFIG_DOES_NOT_EXIST = "HR configuration Does Not Exist on given id."
CONFIGURATION_CREATE_SUCCESSFULLY = "HR configuration creates successfully."
CONFIGURATION_UPDATE_SUCCESSFULLY = "HR configuration update successfully."
CONFIGURATION_LIST_FETCH_SUCCESSFULLY = "HR configuration list fetch  successfully."
ADMIN_LOGIN_SUCCESSFULLY = "Admin login successfully."

MONTH = {
    1: 20,
    2: 20,
    3: 23,
    4: 21,
    5: 21,
    6: 21,
    7: 20,
    8: 23,
    9: 21,
    10: 20,
    11: 20,
    12: 21,
}

MOBILE_NUMBER_ALREADY_EXISTS = "Mobile number already exists."
INVALID_MOBILE_NUMBER = "Invalid mobile number, Please enter a valid mobile number."
OTP_EXPIRE = "OTP expired."
INVALID_OTP = "Invalid OTP, Please enter a valid OTP."
ACCOUNT_DEACTIVATES = (
    "Your account has been deactivated by admin, please visit to our support team for further "
    "details."
)

INVALID_PASSWORD = "Current password does not match."
SAME_PASSWORD_ERROR = "Your new password cannot be the same as your current password."
PASSWORD_CHANGE = "Password updated successfully."
OTP_INVALID = "Enter correct OTP."
OTP_VERIFY_SUCCESSFULLY = "Otp verified."
OTP_VERIFICATION = "Otp verification is required."
MAXIMUM_ATTEMPT = "Reached maximum attempt."
FORGOT_PASSWORD_UPDATE = "Password updated successfully."
OTP_SENT_SUCCESSFULLY = "OTP sent successfully."
OTP_RESENT_SUCCESSFULLY = "OTP resent successfully."
CUSTOMER_MOBILE_NUMBER_VERIFICATION = "OTP verified."
INVALID_EMAIL_ID = "Email id you entered does not exist."
INVALID_DATA = "This {} is not registered."
FORGOT_PASSWORD = "Forgot password otp has been sent successfully."
FORGOT_PASSWORD_SOCIAL_LOGIN_ERROR = (
    "You are having registration via social account. Please try with social login."
)
OTP_NOT_SENT = "Otp is not sent please try again."
SEND_OTP_MESSAGE = "Verification code sent to your mobile number."
PLAYER_DETAIL_FETCH_SUCCESSFULLY = "Player detail fetch successfully."
USER_DOES_NOT_EXIST = "User Does Not exist."
FARM_DOES_NOT_EXIST = "Farm Does Not exist."
BREED_DOES_NOT_EXIST = "Breed Does Not exist."
STATE_DOES_NOT_EXIST = "State Does Not exist."
COUNTRY_DOES_NOT_EXIST = "Country Does Not exist."
FLOCK_DOES_NOT_EXIST = "Flock Does Not exist."
PURCHASE_DOES_NOT_EXIST = "Purchase Does Not exist."
SALES_DOES_NOT_EXIST = "Sales Does Not exist."
HATCHERY_DOES_NOT_EXIST = "Hatchery Does Not exist."
DAILY_DATA_DOES_NOT_EXIST = "Daily Data Does Not exist."
DARKNESS_TIME_DOES_NOT_EXIST = "Darkness Time Does Not exist."
FEED_AVAILABILITY_DOES_NOT_EXIST = "Feed Availability Does Not exist."
FLOCK_VACCINATION_DOES_NOT_EXIST = "Flock Vaccination Does Not exist."
VACCINES_DOES_NOT_EXIST = "Vaccines Does Not exist."
INTEGRATOR_DOES_NOT_EXIST = "Integrator Does Not exist."
USERNAME_ALREADY_EXIST = (
    "Entered username is already register, please enter an another and unique username"
)
MOBILE_NUMBER_NOT_VERIFIED = "Please verify your mobile first."
FLOCK_VACCINATION_DELETE = "Flock Vaccination deleted successfully."
